Skip to main content

Undelete Location Asset Resource

API Description

Undelete a location asset resource that's still available. Supply the unique Apple-generated location ID and the service will attempt to return the corresponding resource with updated resource state and etag values.

note

A validation report is not included in the response body. All validations are executed asynchronously.

Request

URI Parameters

NameInput
orgId
REQUIRED
locationId
REQUIRED
assetId
REQUIRED
Path Template
POST {url}/api/{version}/orgs/{orgId}/locations/{locationId}/assets/{assetId}/undelete
Path Example
POST {url}/api/v1/orgs/9467895078742654934/locations/9467895078742654976/assets/9467895078742654901/undelete

Request Headers

NameInput
Authorization
REQUIRED
Content-Type
REQUIRED
If-Match
REQUIRED
Example Request Headers
Authorization: Bearer <access_token>
Content-Type: application/json
If-Match: "02bb4022-8a5e-4910-8873-85a5d9da7c08"

Request Body

None

Response

200 OK or Error

Response Headers

Name
apple-request-id
content-type
etag
location
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: c980d685-f5a0-46f2-930b-49d160d966b5
content-type: application/json
etag: "f1b71d44-5ed3-11ee-bfb7-325096b39f47"
location: /api/v1/orgs/9467895078742654934/locations/9467895078742654976/assets/9467895078742654901

Response Body

Refer to create operation's response body for property descriptions.

Example Response Body (raw JSON)
{
"orgId": "9467895078742654934",
"locationId": "9467895078742654976",
"id": "9467895078742654901",
"createdDate": "2026-10-01T17:22:19.00Z",
"updatedDate": "2026-10-22T16:01:23.00Z",
"state": "SUBMITTED",
"etag": "f1b71d44-5ed3-11ee-bfb7-325096b39f47",
"assetDetails": {
"partnersAssetId": "9090909090",
"dateAdded": "2026-09-10T12:45:34.00Z",
"capturedBy": "Jane D.",
"intent": "GALLERY",
"captions": [
{
"title": "Exterior View",
"altText": "Storefront and and outdoor patio with tables and chairs",
"locale": "en-US"
}
],
"coordinates": {
"longitude": "-97.7199035",
"latitude": "30.2210519"
},
"classifications": [
"exterior",
"outdoors"
],
"source": "USER",
"photos": {
"xxlarge": {
"url": "http://goodpartner.com/images/malibuicecream/3887887.jpg",
"pixelHeight": 1200,
"pixelWidth": 1200
}
}
}
}